> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Unmanaged Devices

> Returns a list of all [unmanaged devices](https://docs.seam.co/core-concepts/devices/managed-and-unmanaged-devices).

An unmanaged device has a limited set of visible properties and a subset of supported events. You cannot control an unmanaged device. Any [access codes](https://docs.seam.co/low-level-apis/smart-locks/access-codes/migrating-existing-access-codes) on an unmanaged device are unmanaged. To control an unmanaged device with Seam, [convert it to a managed device](https://docs.seam.co/core-concepts/devices/managed-and-unmanaged-devices#convert-an-unmanaged-device-to-managed).



## OpenAPI

````yaml /openapi.json post /devices/unmanaged/list
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /devices/unmanaged/list:
    post:
      tags:
        - /devices
      summary: List Unmanaged Devices
      description: >-
        Returns a list of all [unmanaged
        devices](https://docs.seam.co/core-concepts/devices/managed-and-unmanaged-devices).


        An unmanaged device has a limited set of visible properties and a subset
        of supported events. You cannot control an unmanaged device. Any [access
        codes](https://docs.seam.co/low-level-apis/smart-locks/access-codes/migrating-existing-access-codes)
        on an unmanaged device are unmanaged. To control an unmanaged device
        with Seam, [convert it to a managed
        device](https://docs.seam.co/core-concepts/devices/managed-and-unmanaged-devices#convert-an-unmanaged-device-to-managed).
      operationId: devicesUnmanagedListPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                connect_webview_id:
                  description: >-
                    ID of the Connect Webview for which you want to list
                    devices.
                  format: uuid
                  type: string
                connected_account_id:
                  description: >-
                    ID of the connected account for which you want to list
                    devices.
                  format: uuid
                  type: string
                connected_account_ids:
                  description: >-
                    Array of IDs of the connected accounts for which you want to
                    list devices.
                  items:
                    format: uuid
                    type: string
                  type: array
                created_before:
                  description: >-
                    Timestamp by which to limit returned devices. Returns
                    devices created before this timestamp.
                  format: date-time
                  type: string
                custom_metadata_has:
                  additionalProperties:
                    oneOf:
                      - type: string
                      - type: boolean
                  description: >-
                    Set of key:value [custom
                    metadata](https://docs.seam.co/core-concepts/devices/adding-custom-metadata-to-a-device)
                    pairs for which you want to list devices.
                  type: object
                customer_key:
                  description: Customer key for which you want to list devices.
                  type: string
                device_ids:
                  description: Array of device IDs for which you want to list devices.
                  items:
                    format: uuid
                    type: string
                  type: array
                device_type:
                  description: Device type for which you want to list devices.
                  oneOf:
                    - description: |-
                        Device type for smartlocks.
                                  
                      enum:
                        - akuvox_lock
                        - august_lock
                        - brivo_access_point
                        - butterflymx_panel
                        - avigilon_alta_entry
                        - doorking_lock
                        - genie_door
                        - igloo_lock
                        - linear_lock
                        - lockly_lock
                        - kwikset_lock
                        - nuki_lock
                        - salto_lock
                        - schlage_lock
                        - smartthings_lock
                        - wyze_lock
                        - yale_lock
                        - two_n_intercom
                        - controlbyweb_device
                        - ttlock_lock
                        - igloohome_lock
                        - four_suites_door
                        - dormakaba_oracode_door
                        - tedee_lock
                        - akiles_lock
                        - ultraloq_lock
                        - keyincode_lock
                        - omnitec_lock
                      type: string
                    - description: |-
                        Device type for keys.
                                  
                      enum:
                        - keynest_key
                      type: string
                    - description: |-
                        Device type for noise sensors.
                                  
                      enum:
                        - noiseaware_activity_zone
                        - minut_sensor
                      type: string
                    - description: |-
                        Device type for thermostats.
                                  
                      enum:
                        - ecobee_thermostat
                        - nest_thermostat
                        - honeywell_resideo_thermostat
                        - tado_thermostat
                        - sensi_thermostat
                        - smartthings_thermostat
                      type: string
                    - description: |-
                        Device type for phones.
                                  
                      enum:
                        - ios_phone
                        - android_phone
                      type: string
                    - description: Device type for cameras.
                      enum:
                        - ring_camera
                      type: string
                device_types:
                  description: Array of device types for which you want to list devices.
                  items:
                    oneOf:
                      - description: |-
                          Device type for smartlocks.
                                    
                        enum:
                          - akuvox_lock
                          - august_lock
                          - brivo_access_point
                          - butterflymx_panel
                          - avigilon_alta_entry
                          - doorking_lock
                          - genie_door
                          - igloo_lock
                          - linear_lock
                          - lockly_lock
                          - kwikset_lock
                          - nuki_lock
                          - salto_lock
                          - schlage_lock
                          - smartthings_lock
                          - wyze_lock
                          - yale_lock
                          - two_n_intercom
                          - controlbyweb_device
                          - ttlock_lock
                          - igloohome_lock
                          - four_suites_door
                          - dormakaba_oracode_door
                          - tedee_lock
                          - akiles_lock
                          - ultraloq_lock
                          - keyincode_lock
                          - omnitec_lock
                        type: string
                      - description: |-
                          Device type for keys.
                                    
                        enum:
                          - keynest_key
                        type: string
                      - description: |-
                          Device type for noise sensors.
                                    
                        enum:
                          - noiseaware_activity_zone
                          - minut_sensor
                        type: string
                      - description: |-
                          Device type for thermostats.
                                    
                        enum:
                          - ecobee_thermostat
                          - nest_thermostat
                          - honeywell_resideo_thermostat
                          - tado_thermostat
                          - sensi_thermostat
                          - smartthings_thermostat
                        type: string
                      - description: |-
                          Device type for phones.
                                    
                        enum:
                          - ios_phone
                          - android_phone
                        type: string
                      - description: Device type for cameras.
                        enum:
                          - ring_camera
                        type: string
                  type: array
                exclude_if:
                  items:
                    enum:
                      - can_remotely_unlock
                      - can_remotely_lock
                      - can_program_offline_access_codes
                      - can_program_online_access_codes
                      - can_hvac_heat
                      - can_hvac_cool
                      - can_hvac_heat_cool
                      - can_turn_off_hvac
                      - can_simulate_removal
                      - can_simulate_connection
                      - can_simulate_disconnection
                      - can_unlock_with_code
                      - can_run_thermostat_programs
                      - can_program_thermostat_programs_as_weekday_weekend
                      - can_program_thermostat_programs_as_different_each_day
                      - can_program_thermostat_programs_as_same_each_day
                      - can_simulate_hub_connection
                      - can_simulate_hub_disconnection
                      - can_simulate_paid_subscription
                      - can_configure_auto_lock
                    type: string
                  type: array
                  x-undocumented: Only used internally.
                include_if:
                  items:
                    enum:
                      - can_remotely_unlock
                      - can_remotely_lock
                      - can_program_offline_access_codes
                      - can_program_online_access_codes
                      - can_hvac_heat
                      - can_hvac_cool
                      - can_hvac_heat_cool
                      - can_turn_off_hvac
                      - can_simulate_removal
                      - can_simulate_connection
                      - can_simulate_disconnection
                      - can_unlock_with_code
                      - can_run_thermostat_programs
                      - can_program_thermostat_programs_as_weekday_weekend
                      - can_program_thermostat_programs_as_different_each_day
                      - can_program_thermostat_programs_as_same_each_day
                      - can_simulate_hub_connection
                      - can_simulate_hub_disconnection
                      - can_simulate_paid_subscription
                      - can_configure_auto_lock
                    type: string
                  type: array
                  x-undocumented: Only used internally.
                limit:
                  default: 22900
                  description: Numerical limit on the number of devices to return.
                  format: float
                  type: number
                manufacturer:
                  description: Manufacturer for which you want to list devices.
                  enum:
                    - akuvox
                    - august
                    - avigilon_alta
                    - brivo
                    - butterflymx
                    - doorking
                    - four_suites
                    - genie
                    - igloo
                    - keywe
                    - kwikset
                    - linear
                    - lockly
                    - nuki
                    - philia
                    - salto
                    - samsung
                    - schlage
                    - seam
                    - unknown
                    - wyze
                    - yale
                    - two_n
                    - ttlock
                    - igloohome
                    - controlbyweb
                    - dormakaba_oracode
                    - tedee
                    - keyincode
                    - akiles
                    - ecobee
                    - honeywell_resideo
                    - keynest
                    - korelock
                    - minut
                    - nest
                    - noiseaware
                    - sensi
                    - smartthings
                    - tado
                    - ultraloq
                    - ring
                    - ical
                    - lodgify
                    - hostaway
                    - guesty
                    - acuity_scheduling
                    - omnitec
                    - slack
                  type: string
                page_cursor:
                  description: >-
                    Identifies the specific page of results to return, obtained
                    from the previous page's `next_page_cursor`.
                  nullable: true
                  type: string
                search:
                  description: >-
                    String for which to search. Filters returned devices to
                    include all records that satisfy a partial match using
                    `device_id` (full or partial UUID prefix, minimum 4
                    characters), `connected_account_id`, `display_name`,
                    `custom_metadata` or `location.location_name`.
                  minLength: 1
                  type: string
                space_id:
                  description: ID of the space for which you want to list devices.
                  format: uuid
                  type: string
                unstable_location_id:
                  deprecated: true
                  format: uuid
                  nullable: true
                  type: string
                  x-deprecated: Use `space_id`.
                user_identifier_key:
                  description: >-
                    Your own internal user ID for the user for which you want to
                    list devices.
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  devices:
                    items:
                      $ref: '#/components/schemas/unmanaged_device'
                    type: array
                  ok:
                    type: boolean
                  pagination:
                    $ref: '#/components/schemas/pagination'
                required:
                  - devices
                  - pagination
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - client_session_with_customer: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.devices.unmanaged.list({
              customer_ids: ["e387e15f-be27-47ad-881f-4a6fc5460c57"],
            });

            /*
            [
              {
                "can_program_offline_access_codes": false,
                "can_program_online_access_codes": true,
                "can_remotely_lock": true,
                "can_remotely_unlock": true,
                "can_simulate_connection": false,
                "can_simulate_disconnection": true,
                "can_simulate_removal": true,
                "capabilities_supported": [
                  "access_code",
                  "lock"
                ],
                "connected_account_id": "c1a3967f-24a1-4220-a9c7-7fa97c1d5603",
                "created_at": "2025-06-16T16:54:17.946342Z",
                "device_id": "f4f40e75-86fc-4896-b958-e1c7e092b2cf",
                "device_type": "schlage_lock",
                "errors": [],
                "is_managed": false,
                "location": {
                  "location_name": "Front Door",
                  "timezone": "America/New_York"
                },
                "properties": {
                  "accessory_keypad": {
                    "battery": {
                      "level": 1
                    },
                    "is_connected": true
                  },
                  "battery": {
                    "level": 1,
                    "status": "full"
                  },
                  "battery_level": 1,
                  "image_alt_text": "Schlage Sense Smart Deadbolt with Camelot Trim, Front",
                  "image_url": "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/devices/schlage_sense-smart-deadbolt-with-camelot-trim_front.png&q=75&w=128",
                  "manufacturer": "schlage",
                  "model": {
                    "accessory_keypad_supported": true,
                    "can_connect_accessory_keypad": true,
                    "display_name": "Front Door",
                    "has_built_in_keypad": false,
                    "manufacturer_display_name": "Schlage",
                    "offline_access_codes_supported": false,
                    "online_access_codes_supported": true
                  },
                  "name": "Front Door",
                  "offline_access_codes_enabled": false,
                  "online": true,
                  "online_access_codes_enabled": true
                },
                "warnings": [],
                "workspace_id": "3cd6ba1c-8a60-4c24-b487-07bf6c0b755b"
              }
            ]
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/devices/unmanaged/list" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "customer_ids": [
                "e387e15f-be27-47ad-881f-4a6fc5460c57"
              ]
            }

            EOF


            # Response:

            # {

            #   "devices": [

            #     {

            #       "can_program_offline_access_codes": false,

            #       "can_program_online_access_codes": true,

            #       "can_remotely_lock": true,

            #       "can_remotely_unlock": true,

            #       "can_simulate_connection": false,

            #       "can_simulate_disconnection": true,

            #       "can_simulate_removal": true,

            #       "capabilities_supported": [

            #         "access_code",

            #         "lock"

            #       ],

            #       "connected_account_id":
            "c1a3967f-24a1-4220-a9c7-7fa97c1d5603",

            #       "created_at": "2025-06-16T16:54:17.946342Z",

            #       "device_id": "f4f40e75-86fc-4896-b958-e1c7e092b2cf",

            #       "device_type": "schlage_lock",

            #       "errors": [],

            #       "is_managed": false,

            #       "location": {

            #         "location_name": "Front Door",

            #         "timezone": "America/New_York"

            #       },

            #       "properties": {

            #         "accessory_keypad": {

            #           "battery": {

            #             "level": 1

            #           },

            #           "is_connected": true

            #         },

            #         "battery": {

            #           "level": 1,

            #           "status": "full"

            #         },

            #         "battery_level": 1,

            #         "image_alt_text": "Schlage Sense Smart Deadbolt with
            Camelot Trim, Front",

            #         "image_url":
            "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/devices/schlage_sense-smart-deadbolt-with-camelot-trim_front.png&q=75&w=128",

            #         "manufacturer": "schlage",

            #         "model": {

            #           "accessory_keypad_supported": true,

            #           "can_connect_accessory_keypad": true,

            #           "display_name": "Front Door",

            #           "has_built_in_keypad": false,

            #           "manufacturer_display_name": "Schlage",

            #           "offline_access_codes_supported": false,

            #           "online_access_codes_supported": true

            #         },

            #         "name": "Front Door",

            #         "offline_access_codes_enabled": false,

            #         "online": true,

            #         "online_access_codes_enabled": true

            #       },

            #       "warnings": [],

            #       "workspace_id": "3cd6ba1c-8a60-4c24-b487-07bf6c0b755b"

            #     }

            #   ]

            # }
        - lang: python
          label: Seam SDK
          source: >-
            seam.devices.unmanaged.list(customer_ids=["e387e15f-be27-47ad-881f-4a6fc5460c57"])


            # [
                UnmanagedDevice(
                    can_program_offline_access_codes=false,
                    can_program_online_access_codes=true,
                    can_remotely_lock=true,
                    can_remotely_unlock=true,
                    can_simulate_connection=false,
                    can_simulate_disconnection=true,
                    can_simulate_removal=true,
                    capabilities_supported=["access_code", "lock"],
                    connected_account_id="c1a3967f-24a1-4220-a9c7-7fa97c1d5603",
                    created_at="2025-06-16T16:54:17.946342Z",
                    device_id="f4f40e75-86fc-4896-b958-e1c7e092b2cf",
                    device_type="schlage_lock",
                    errors=[],
                    is_managed=false,
                    location={"location_name": "Front Door", "timezone": "America/New_York"},
                    properties={
                        "accessory_keypad": {"battery": {"level": 1}, "is_connected": true},
                        "battery": {"level": 1, "status": "full"},
                        "battery_level": 1,
                        "image_alt_text": "Schlage Sense Smart Deadbolt with Camelot Trim, Front",
                        "image_url": "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/devices/schlage_sense-smart-deadbolt-with-camelot-trim_front.png&q=75&w=128",
                        "manufacturer": "schlage",
                        "model": {
                            "accessory_keypad_supported": true,
                            "can_connect_accessory_keypad": true,
                            "display_name": "Front Door",
                            "has_built_in_keypad": false,
                            "manufacturer_display_name": "Schlage",
                            "offline_access_codes_supported": false,
                            "online_access_codes_supported": true,
                        },
                        "name": "Front Door",
                        "offline_access_codes_enabled": false,
                        "online": true,
                        "online_access_codes_enabled": true,
                    },
                    warnings=[],
                    workspace_id="3cd6ba1c-8a60-4c24-b487-07bf6c0b755b",
                )
            ]
        - lang: ruby
          label: Seam SDK
          source: >-
            seam.devices.unmanaged.list(customer_ids:
            ["e387e15f-be27-47ad-881f-4a6fc5460c57"])


            # => [
              {
                "can_program_offline_access_codes" => false,
                "can_program_online_access_codes" => true,
                "can_remotely_lock" => true,
                "can_remotely_unlock" => true,
                "can_simulate_connection" => false,
                "can_simulate_disconnection" => true,
                "can_simulate_removal" => true,
                "capabilities_supported" => %w[access_code lock],
                "connected_account_id" => "c1a3967f-24a1-4220-a9c7-7fa97c1d5603",
                "created_at" => "2025-06-16T16:54:17.946342Z",
                "device_id" => "f4f40e75-86fc-4896-b958-e1c7e092b2cf",
                "device_type" => "schlage_lock",
                "errors" => [],
                "is_managed" => false,
                "location" => {
                  location_name: "Front Door",
                  timezone: "America/New_York",
                },
                "properties" => {
                  accessory_keypad: {
                    battery: {
                      level: 1,
                    },
                    is_connected: true,
                  },
                  battery: {
                    level: 1,
                    status: "full",
                  },
                  battery_level: 1,
                  image_alt_text: "Schlage Sense Smart Deadbolt with Camelot Trim, Front",
                  image_url:
                    "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/devices/schlage_sense-smart-deadbolt-with-camelot-trim_front.png&q=75&w=128",
                  manufacturer: "schlage",
                  model: {
                    accessory_keypad_supported: true,
                    can_connect_accessory_keypad: true,
                    display_name: "Front Door",
                    has_built_in_keypad: false,
                    manufacturer_display_name: "Schlage",
                    offline_access_codes_supported: false,
                    online_access_codes_supported: true,
                  },
                  name: "Front Door",
                  offline_access_codes_enabled: false,
                  online: true,
                  online_access_codes_enabled: true,
                },
                "warnings" => [],
                "workspace_id" => "3cd6ba1c-8a60-4c24-b487-07bf6c0b755b",
              },
            ]
        - lang: php
          label: Seam SDK
          source: |-
            $seam->devices->unmanaged->list(
                customer_ids: ["e387e15f-be27-47ad-881f-4a6fc5460c57"],
            );

            // [
                [
                    "can_program_offline_access_codes" => false,
                    "can_program_online_access_codes" => true,
                    "can_remotely_lock" => true,
                    "can_remotely_unlock" => true,
                    "can_simulate_connection" => false,
                    "can_simulate_disconnection" => true,
                    "can_simulate_removal" => true,
                    "capabilities_supported" => ["access_code", "lock"],
                    "connected_account_id" => "c1a3967f-24a1-4220-a9c7-7fa97c1d5603",
                    "created_at" => "2025-06-16T16:54:17.946342Z",
                    "device_id" => "f4f40e75-86fc-4896-b958-e1c7e092b2cf",
                    "device_type" => "schlage_lock",
                    "errors" => [],
                    "is_managed" => false,
                    "location" => [
                        "location_name" => "Front Door",
                        "timezone" => "America/New_York",
                    ],
                    "properties" => [
                        "accessory_keypad" => [
                            "battery" => ["level" => 1],
                            "is_connected" => true,
                        ],
                        "battery" => ["level" => 1, "status" => "full"],
                        "battery_level" => 1,
                        "image_alt_text" =>
                            "Schlage Sense Smart Deadbolt with Camelot Trim, Front",
                        "image_url" =>
                            "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/devices/schlage_sense-smart-deadbolt-with-camelot-trim_front.png&q=75&w=128",
                        "manufacturer" => "schlage",
                        "model" => [
                            "accessory_keypad_supported" => true,
                            "can_connect_accessory_keypad" => true,
                            "display_name" => "Front Door",
                            "has_built_in_keypad" => false,
                            "manufacturer_display_name" => "Schlage",
                            "offline_access_codes_supported" => false,
                            "online_access_codes_supported" => true,
                        ],
                        "name" => "Front Door",
                        "offline_access_codes_enabled" => false,
                        "online" => true,
                        "online_access_codes_enabled" => true,
                    ],
                    "warnings" => [],
                    "workspace_id" => "3cd6ba1c-8a60-4c24-b487-07bf6c0b755b",
                ],
            ];
        - lang: bash
          label: Seam CLI
          source: >-
            seam devices unmanaged list --customer_ids
            ["e387e15f-be27-47ad-881f-4a6fc5460c57"]


            # [

            #   {

            #     "can_program_offline_access_codes": false,

            #     "can_program_online_access_codes": true,

            #     "can_remotely_lock": true,

            #     "can_remotely_unlock": true,

            #     "can_simulate_connection": false,

            #     "can_simulate_disconnection": true,

            #     "can_simulate_removal": true,

            #     "capabilities_supported": [

            #       "access_code",

            #       "lock"

            #     ],

            #     "connected_account_id":
            "c1a3967f-24a1-4220-a9c7-7fa97c1d5603",

            #     "created_at": "2025-06-16T16:54:17.946342Z",

            #     "device_id": "f4f40e75-86fc-4896-b958-e1c7e092b2cf",

            #     "device_type": "schlage_lock",

            #     "errors": [],

            #     "is_managed": false,

            #     "location": {

            #       "location_name": "Front Door",

            #       "timezone": "America/New_York"

            #     },

            #     "properties": {

            #       "accessory_keypad": {

            #         "battery": {

            #           "level": 1

            #         },

            #         "is_connected": true

            #       },

            #       "battery": {

            #         "level": 1,

            #         "status": "full"

            #       },

            #       "battery_level": 1,

            #       "image_alt_text": "Schlage Sense Smart Deadbolt with Camelot
            Trim, Front",

            #       "image_url":
            "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/devices/schlage_sense-smart-deadbolt-with-camelot-trim_front.png&q=75&w=128",

            #       "manufacturer": "schlage",

            #       "model": {

            #         "accessory_keypad_supported": true,

            #         "can_connect_accessory_keypad": true,

            #         "display_name": "Front Door",

            #         "has_built_in_keypad": false,

            #         "manufacturer_display_name": "Schlage",

            #         "offline_access_codes_supported": false,

            #         "online_access_codes_supported": true

            #       },

            #       "name": "Front Door",

            #       "offline_access_codes_enabled": false,

            #       "online": true,

            #       "online_access_codes_enabled": true

            #     },

            #     "warnings": [],

            #     "workspace_id": "3cd6ba1c-8a60-4c24-b487-07bf6c0b755b"

            #   }

            # ]
components:
  schemas:
    unmanaged_device:
      description: >-
        Represents an [unmanaged
        device](https://docs.seam.co/core-concepts/devices/managed-and-unmanaged-devices).
        An unmanaged device has a limited set of visible properties and a subset
        of supported events. You cannot control an unmanaged device. Any [access
        codes](https://docs.seam.co/low-level-apis/smart-locks/access-codes/migrating-existing-access-codes)
        on an unmanaged device are unmanaged.
      properties:
        can_configure_auto_lock:
          type: boolean
        can_hvac_cool:
          type: boolean
        can_hvac_heat:
          type: boolean
        can_hvac_heat_cool:
          type: boolean
        can_program_offline_access_codes:
          type: boolean
        can_program_online_access_codes:
          type: boolean
        can_program_thermostat_programs_as_different_each_day:
          type: boolean
        can_program_thermostat_programs_as_same_each_day:
          type: boolean
        can_program_thermostat_programs_as_weekday_weekend:
          type: boolean
        can_remotely_lock:
          type: boolean
        can_remotely_unlock:
          type: boolean
        can_run_thermostat_programs:
          type: boolean
        can_simulate_connection:
          type: boolean
        can_simulate_disconnection:
          type: boolean
        can_simulate_hub_connection:
          type: boolean
        can_simulate_hub_disconnection:
          type: boolean
        can_simulate_paid_subscription:
          type: boolean
        can_simulate_removal:
          type: boolean
        can_turn_off_hvac:
          type: boolean
        can_unlock_with_code:
          type: boolean
        capabilities_supported:
          description: |2-

                    Collection of capabilities that the device supports when connected to Seam. Values are `access_code`, which indicates that the device can manage and utilize digital PIN codes for secure access; `lock`, which indicates that the device controls a door locking mechanism, enabling the remote opening and closing of doors and other entry points; `noise_detection`, which indicates that the device supports monitoring and responding to ambient noise levels; `thermostat`, which indicates that the device can regulate and adjust indoor temperatures; `battery`, which indicates that the device can manage battery life and health; and `phone`, which indicates that the device is a mobile device, such as a smartphone. **Important:** Superseded by [capability flags](https://docs.seam.co/capability-guides/device-and-system-capabilities#capability-flags).
                    
          items:
            description: |2-

                      Collection of capabilities that the device supports when connected to Seam. **Important:** Superseded by [capability flags](https://docs.seam.co/capability-guides/device-and-system-capabilities#capability-flags).
                      
            enum:
              - access_code
              - lock
              - noise_detection
              - thermostat
              - battery
              - phone
            type: string
          type: array
        connected_account_id:
          description: Unique identifier for the account associated with the device.
          format: uuid
          type: string
        created_at:
          description: Date and time at which the device object was created.
          format: date-time
          type: string
        custom_metadata:
          additionalProperties:
            oneOf:
              - type: string
              - type: boolean
          description: >-
            Set of key:value pairs. Adding custom metadata to a resource, such
            as a [Connect
            Webview](https://docs.seam.co/core-concepts/connect-webviews/attaching-custom-data-to-the-connect-webview),
            [connected
            account](https://docs.seam.co/core-concepts/connected-accounts/adding-custom-metadata-to-a-connected-account),
            or
            [device](https://docs.seam.co/core-concepts/devices/adding-custom-metadata-to-a-device),
            enables you to store custom information, like customer details or
            internal IDs from your application.
          type: object
        device_id:
          description: ID of the device.
          format: uuid
          type: string
        device_type:
          description: Type of the device.
          oneOf:
            - description: |-
                Device type for smartlocks.
                          
              enum:
                - akuvox_lock
                - august_lock
                - brivo_access_point
                - butterflymx_panel
                - avigilon_alta_entry
                - doorking_lock
                - genie_door
                - igloo_lock
                - linear_lock
                - lockly_lock
                - kwikset_lock
                - nuki_lock
                - salto_lock
                - schlage_lock
                - smartthings_lock
                - wyze_lock
                - yale_lock
                - two_n_intercom
                - controlbyweb_device
                - ttlock_lock
                - igloohome_lock
                - four_suites_door
                - dormakaba_oracode_door
                - tedee_lock
                - akiles_lock
                - ultraloq_lock
                - keyincode_lock
                - omnitec_lock
              type: string
            - description: |-
                Device type for keys.
                          
              enum:
                - keynest_key
              type: string
            - description: |-
                Device type for noise sensors.
                          
              enum:
                - noiseaware_activity_zone
                - minut_sensor
              type: string
            - description: |-
                Device type for thermostats.
                          
              enum:
                - ecobee_thermostat
                - nest_thermostat
                - honeywell_resideo_thermostat
                - tado_thermostat
                - sensi_thermostat
                - smartthings_thermostat
              type: string
            - description: |-
                Device type for phones.
                          
              enum:
                - ios_phone
                - android_phone
              type: string
            - description: Device type for cameras.
              enum:
                - ring_camera
              type: string
        errors:
          type: array
          description: >-
            Array of errors associated with the device. Each error object within
            the array contains two fields: `error_code` and `message`.
            `error_code` is a string that uniquely identifies the type of error,
            enabling quick recognition and categorization of the issue.
            `message` provides a more detailed description of the error,
            offering insights into the issue and potentially how to rectify it.
          items:
            type: object
            properties:
              error_code:
                type: string
                description: Error or warning code.
              message:
                type: string
                description: Human-readable description.
              created_at:
                type: string
                format: date-time
                description: When this error or warning was generated.
        is_managed:
          enum:
            - false
          type: boolean
        location:
          description: Location information for the device.
          properties:
            location_name:
              description: |-
                Name of the device location.
                          
              type: string
            time_zone:
              description: |-
                Time zone of the device location.
                          
              type: string
            timezone:
              deprecated: true
              description: Time zone of the device location.
              type: string
              x-deprecated: Use `time_zone` instead.
          type: object
          x-property-group-key: hardware
        properties:
          description: properties of the device.
          properties:
            accessory_keypad:
              description: Accessory keypad properties and state.
              properties:
                battery:
                  description: |-
                    Keypad battery properties.
                              
                  properties:
                    level:
                      format: float
                      maximum: 1
                      minimum: 0
                      type: number
                  required:
                    - level
                  type: object
                is_connected:
                  description: |-
                    Indicates if an accessory keypad is connected to the device.
                            
                  type: boolean
              required:
                - is_connected
              type: object
              x-property-group-key: hardware
            battery:
              description: Represents the current status of the battery charge level.
              properties:
                level:
                  description: |-
                    Battery charge level as a value between 0 and 1, inclusive.
                              
                  format: float
                  maximum: 1
                  minimum: 0
                  type: number
                status:
                  description: >-
                    Represents the current status of the battery charge level.
                    Values are `critical`, which indicates an extremely low
                    level, suggesting imminent shutdown or an urgent need for
                    charging; `low`, which signifies that the battery is under
                    the preferred threshold and should be charged soon; `good`,
                    which denotes a satisfactory charge level, adequate for
                    normal use without the immediate need for recharging; and
                    `full`, which represents a battery that is fully charged,
                    providing the maximum duration of usage.
                              
                  enum:
                    - critical
                    - low
                    - good
                    - full
                  type: string
              required:
                - level
                - status
              type: object
              x-property-group-key: hardware
            battery_level:
              description: >-
                Indicates the battery level of the device as a decimal value
                between 0 and 1, inclusive.
              format: float
              maximum: 1
              minimum: 0
              type: number
              x-property-group-key: hardware
            image_alt_text:
              description: Alt text for the device image.
              type: string
              x-property-group-key: hardware
            image_url:
              description: Image URL for the device.
              format: uri
              type: string
              x-property-group-key: hardware
            manufacturer:
              description: >-
                Manufacturer of the device. When a device, such as a smart lock,
                is connected through a smart hub, the manufacturer of the device
                might be different from that of the smart hub.
              type: string
              x-property-group-key: hardware
            model:
              description: Device model-related properties.
              properties:
                accessory_keypad_supported:
                  deprecated: true
                  type: boolean
                  x-deprecated: use device.properties.model.can_connect_accessory_keypad
                can_connect_accessory_keypad:
                  description: |2-

                              Indicates whether the device can connect a accessory keypad.
                          
                  type: boolean
                display_name:
                  description: |2-

                              Display name of the device model.
                          
                  type: string
                has_built_in_keypad:
                  description: |2-

                              Indicates whether the device has a built in accessory keypad.
                          
                  type: boolean
                manufacturer_display_name:
                  description: |2-

                              Display name that corresponds to the manufacturer-specific terminology for the device.
                          
                  type: string
                offline_access_codes_supported:
                  deprecated: true
                  type: boolean
                  x-deprecated: use device.can_program_offline_access_codes.
                online_access_codes_supported:
                  deprecated: true
                  type: boolean
                  x-deprecated: use device.can_program_online_access_codes.
              required:
                - display_name
                - manufacturer_display_name
              type: object
            name:
              deprecated: true
              description: Name of the device.
              type: string
              x-deprecated: use device.display_name instead
            offline_access_codes_enabled:
              deprecated: true
              description: >-
                Indicates whether it is currently possible to use offline access
                codes for the device.
              type: boolean
              x-deprecated: use device.can_program_offline_access_codes
              x-property-group-key: access_codes
            online:
              description: Indicates whether the device is online.
              type: boolean
            online_access_codes_enabled:
              deprecated: true
              description: >-
                Indicates whether it is currently possible to use online access
                codes for the device.
              type: boolean
              x-deprecated: use device.can_program_online_access_codes
              x-property-group-key: access_codes
          required:
            - name
            - online
            - model
          type: object
          x-property-groups:
            access_codes:
              name: access codes
            hardware:
              name: hardware
            locks:
              name: locks
            noise_sensors:
              name: noise sensors
            phones:
              name: phones
            provider_metadata:
              name: provider metadata
            thermostats:
              name: thermostats
        warnings:
          type: array
          description: >-
            Array of warnings associated with the device. Each warning object
            within the array contains two fields: `warning_code` and `message`.
            `warning_code` is a string that uniquely identifies the type of
            warning, enabling quick recognition and categorization of the issue.
            `message` provides a more detailed description of the warning,
            offering insights into the issue and potentially how to rectify it.
          items:
            type: object
            properties:
              error_code:
                type: string
                description: Error or warning code.
              message:
                type: string
                description: Human-readable description.
              created_at:
                type: string
                format: date-time
                description: When this error or warning was generated.
        workspace_id:
          description: Unique identifier for the Seam workspace associated with the device.
          format: uuid
          type: string
      required:
        - device_id
        - device_type
        - connected_account_id
        - capabilities_supported
        - workspace_id
        - errors
        - warnings
        - created_at
        - custom_metadata
        - is_managed
        - properties
      type: object
      x-property-groups:
        access_codes:
          name: Access Codes
        hardware:
          name: Hardware
        locks:
          name: Locks
        noise_sensors:
          name: Noise Sensors
        phones:
          name: Phones
        provider_metadata:
          name: Provider Metadata
        thermostats:
          name: Thermostats
      x-route-path: /devices/unmanaged
    pagination:
      description: Information about the current page of results.
      properties:
        has_next_page:
          description: Indicates whether there is another page of results after this one.
          type: boolean
        next_page_cursor:
          description: >-
            Opaque value that can be used to select the next page of results via
            the `page_cursor` parameter.
          nullable: true
          type: string
        next_page_url:
          description: URL to get the next page of results.
          format: uri
          nullable: true
          type: string
      required:
        - next_page_cursor
        - has_next_page
        - next_page_url
      type: object
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http

````